Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.model
Interface DDBean

All Known Subinterfaces:
  DDBeanRoot

public interface DDBean

A fragment of a standard deployment descriptor.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Method Summary
`void` | `addXpathListener(String xpath, XpathListener xpl)` Register a listener for a given xpath
`String[]` | `getAttributeNames()` Returns the list of attributes associated with this element
`String` | `getAttributeValue(String attrName)` Get the value for a given attribute
`DDBean[]` | `getChildBean(String xpath)` Get the child elements with the specified xpath
`String` | `getId()` Returns the tool specific attribute ID
`DDBeanRoot` | `getRoot()` Get the root element
`String` | `getText()` Returns the XML text for this bean
`String[]` | `getText(String xpath)` Get the text for the given xpath
`String` | `getXpath()` Returns the original xpath string provided by the DConfigBean
`void` | `removeXpathListener(String xpath, XpathListener xpl)` Unregister a listener for a given xpath

Method Detail

### getXpath

    public String getXpath()

  Returns the original xpath string provided by the DConfigBean

  Returns:
    the xpath

### getText

    public String getText()

  Returns the XML text for this bean

  Returns:
    the text

### getId

    public String getId()

  Returns the tool specific attribute ID

  Returns:
    the id or null if there is no id

### getRoot

    public DDBeanRoot getRoot()

  Get the root element

  Returns:
    the root element

### getChildBean

    public DDBean[] getChildBean(String xpath)

  Get the child elements with the specified xpath

  Parameters:
    `xpath` - the xpath of the children
  Returns:
    an array of children or null if there are none

### getText

    public String[] getText(String xpath)

  Get the text for the given xpath

  Parameters:
    `xpath` - the xpath
  Returns:
    an array of Strings for the xpath or null if there are none

### addXpathListener

    public void addXpathListener(String xpath,
                                 XpathListener xpl)

  Register a listener for a given xpath

  Parameters:
    `xpath` - the xpath
    `xpl` - the listener

### removeXpathListener

    public void removeXpathListener(String xpath,
                                    XpathListener xpl)

  Unregister a listener for a given xpath

  Parameters:
    `xpath` - the xpath
    `xpl` - the listener

### getAttributeNames

    public String[] getAttributeNames()

  Returns the list of attributes associated with this element

  Returns:
    the list of attributes

### getAttributeValue

    public String getAttributeValue(String attrName)

  Get the value for a given attribute

  Parameters:
    `attrName` - the attribute name
  Returns:
    the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.